{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.common.Location":{"type":"object","description":"Resource location","properties":{"availabilityZone":{"type":"string","description":"Availability zone within the region","nullable":true},"region":{"type":"string","description":"Region code"}},"required":["region"]},"publicCloud.instance.ImageOSTypeEnum":{"type":"string","description":"Image operating system type. Operating system family of an instance image, as tagged on the image in OpenStack Glance. It decides which flavors can boot the image, and Windows images carry a license. `LINUX`: A Linux (or other non-Windows) image for virtual instances. `WINDOWS`: A Microsoft Windows image. It can only boot on Windows flavors. `BAREMETAL_LINUX`: A Linux image for bare-metal instances.","enum":["BAREMETAL_LINUX","LINUX","WINDOWS"]},"publicCloud.instance.ImageStatusEnum":{"type":"string","description":"Lifecycle status of an instance image as reported by OpenStack Glance. It describes where the image is in its upload and availability lifecycle. `QUEUED`: The image identifier has been reserved in the image registry, but no image data has been uploaded yet. `SAVING`: The raw image data is currently being uploaded to the image store. `IMPORTING`: The uploaded image data is being imported and processed through the Glance import workflow. `ACTIVE`: The image is fully available and can be used to boot instances. `DEACTIVATED`: Access to the image has been disabled by an administrator. The data is preserved but the image cannot be used to launch instances until reactivated. `KILLED`: An error occurred during upload or import and the image data is not usable. `PENDING_DELETE`: The image has been marked for deletion but its data has not been removed yet. It may still be restorable during the retention delay. `DELETED`: The image has been deleted and its data is scheduled for removal.","enum":["ACTIVE","DEACTIVATED","DELETED","IMPORTING","KILLED","PENDING_DELETE","QUEUED","SAVING"]},"publicCloud.instance.ImageVisibilityEnum":{"type":"string","description":"Image visibility. Controls which projects can see and use an instance image, as defined by OpenStack Glance. `PUBLIC`: The image is visible to and usable by every project. `PRIVATE`: The image is visible only to the project that owns it. `SHARED`: The image is visible only to the owning project and the specific projects it has been explicitly shared with (image members). `COMMUNITY`: The image is usable by every project but is hidden from default image listings, so it must be requested explicitly.","enum":["COMMUNITY","PRIVATE","PUBLIC","SHARED"]},"publicCloud.instance.Snapshot":{"type":"object","description":"A Public Cloud instance snapshot (Glance image created from an instance)","properties":{"checksum":{"type":"string","description":"Computed hash representing the current target specification value","readOnly":true},"createdAt":{"type":"string","description":"Creation date of the snapshot","format":"date-time","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.SnapshotCurrentState"}],"description":"Current state of the snapshot","nullable":true,"readOnly":true},"currentTasks":{"type":"array","description":"Ongoing asynchronous tasks related to the snapshot","nullable":true,"items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Unique identifier of the snapshot","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Snapshot readiness in the system","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.SnapshotTargetSpec"}],"description":"Last target specification of the snapshot","readOnly":true},"updatedAt":{"type":"string","description":"Last update date of the snapshot","format":"date-time","readOnly":true}}},"publicCloud.instance.SnapshotCreation":{"type":"object","description":"Payload to create a Public Cloud instance snapshot","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.SnapshotTargetSpec"}],"description":"Desired target specification for the snapshot to create"}},"required":["targetSpec"]},"publicCloud.instance.SnapshotCurrentState":{"type":"object","description":"Current state of an instance snapshot as observed from the infrastructure","properties":{"canBeDeleted":{"type":"boolean","description":"Whether the project can delete the snapshot: false when it is owned by another project or protected","readOnly":true},"instance":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.SnapshotInstanceRef"}],"description":"Source instance reference","readOnly":true},"location":{"allOf":[{"$ref":"#/components/schemas/publicCloud.common.Location"}],"description":"Current location","readOnly":true},"minDisk":{"type":"integer","description":"Minimum disk size in GB required to boot","nullable":true,"readOnly":true},"minRam":{"type":"integer","description":"Minimum RAM in MB required to boot","nullable":true,"readOnly":true},"name":{"type":"string","description":"Current snapshot name","readOnly":true},"osType":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.ImageOSTypeEnum"}],"description":"Operating system type. Operating system family of the snapshot (see ImageOSTypeEnum). It is inherited from the image the source instance was created from, so a snapshot of a Windows instance is a Windows image and can only be restored on a Windows flavor.","readOnly":true},"size":{"type":"integer","description":"Image size in bytes","nullable":true,"readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.ImageStatusEnum"}],"description":"Image status in the backend","readOnly":true},"visibility":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.ImageVisibilityEnum"}],"description":"Image visibility","readOnly":true}}},"publicCloud.instance.SnapshotInstanceRef":{"type":"object","description":"Reference to the source instance for a snapshot","properties":{"id":{"type":"string","description":"Unique identifier of the instance","format":"uuid"}},"required":["id"]},"publicCloud.instance.SnapshotTargetSpec":{"type":"object","description":"Target specification for an instance snapshot","properties":{"instance":{"allOf":[{"$ref":"#/components/schemas/publicCloud.instance.SnapshotInstanceRef"}],"description":"Source instance reference"},"location":{"allOf":[{"$ref":"#/components/schemas/publicCloud.common.Location"}],"description":"Target location"},"name":{"type":"string","description":"Desired snapshot name"}},"required":["instance","location","name"]},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/compute/snapshot":{"get":{"operationId":"getInstanceSnapshots","summary":"List instance snapshots","description":"Returns the snapshots of the project.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"instanceId","description":"Filter by source instance ID","schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.instance.Snapshot"}}}}}},"tags":["Compute"],"x-developer-hub-navigation":[["Public Cloud","Compute","Snapshot@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/compute/snapshot\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/compute/snapshot\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:instance/snapshot/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudInstanceSnapshot"},"post":{"operationId":"createInstanceSnapshot","summary":"Create an instance snapshot","description":"Creates a snapshot image of the instance's current disk. Its id can be used as `image.id` to create a new instance from it.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.instance.SnapshotCreation"},"examples":{"Create snapshot":{"value":{"targetSpec":{"instance":{"id":"3f49128c-48b0-44ce-ac0c-f17a68078a5c"},"location":{"region":"GRA1"},"name":"my-instance-snapshot"}},"summary":"Create a snapshot of a running instance"}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.instance.Snapshot"}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::RegionInMaintenance":{"value":{"class":"Client::Conflict::RegionInMaintenance","message":"This region is currently in maintenance"}},"Client::Conflict::ResourceAlreadyBeingDeleted":{"value":{"class":"Client::Conflict::ResourceAlreadyBeingDeleted","message":"Resource is already being deleted"}}}}}}},"tags":["Compute"],"x-developer-hub-navigation":[["Public Cloud","Compute","Snapshot@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.instance.SnapshotCreation\nresult = client.post(\"/v2/publicCloud/project/{projectId}/compute/snapshot\",\n\ttargetSpec = None, # Desired target specification for the snapshot to create (type: publicCloud.instance.SnapshotTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.instance.SnapshotCreation\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/compute/snapshot\", array(\n\ttargetSpec => null, // Desired target specification for the snapshot to create (type: publicCloud.instance.SnapshotTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:instance/snapshot/create","required":true}]}},"/publicCloud/project/{projectId}/compute/snapshot/{snapshotId}":{"delete":{"operationId":"deleteInstanceSnapshot","summary":"Delete an instance snapshot","description":"Deletes the snapshot image.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"snapshotId","description":"Snapshot ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.instance.Snapshot"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::InstanceSnapshotDoesNotExist":{"value":{"class":"Client::NotFound::InstanceSnapshotDoesNotExist","message":"Instance snapshot not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::ResourceAlreadyBeingDeleted":{"value":{"class":"Client::Conflict::ResourceAlreadyBeingDeleted","message":"Resource is already being deleted"}}}}}}},"tags":["Compute"],"x-developer-hub-navigation":[["Public Cloud","Compute","Snapshot@@@40"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/publicCloud/project/{projectId}/compute/snapshot/{snapshotId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/publicCloud/project/{projectId}/compute/snapshot/{snapshotId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:instance/snapshot/delete","required":true}]},"get":{"operationId":"getInstanceSnapshot","summary":"Get an instance snapshot","description":"Returns the snapshot image, including its status and the instance it was created from.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"snapshotId","description":"Snapshot ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.instance.Snapshot"},"examples":{"Example":{"value":{"checksum":"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6","createdAt":"2026-03-15T10:30:00Z","currentState":{"canBeDeleted":true,"instance":{"id":"3f49128c-48b0-44ce-ac0c-f17a68078a5c"},"location":{"region":"GRA1"},"minDisk":50,"minRam":7000,"name":"my-instance-snapshot","osType":"LINUX","size":10737418240,"status":"ACTIVE","visibility":"PRIVATE"},"currentTasks":[],"id":"b8e2f4a6-1c3d-5e7f-9a0b-2d4e6f8a0c2e","resourceStatus":"READY","targetSpec":{"instance":{"id":"3f49128c-48b0-44ce-ac0c-f17a68078a5c"},"location":{"region":"GRA1"},"name":"my-instance-snapshot"},"updatedAt":"2026-03-15T10:35:00Z"},"summary":"Example"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::InstanceSnapshotDoesNotExist":{"value":{"class":"Client::NotFound::InstanceSnapshotDoesNotExist","message":"Instance snapshot not found"}}}}}}},"tags":["Compute"],"x-developer-hub-navigation":[["Public Cloud","Compute","Snapshot@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/compute/snapshot/{snapshotId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/compute/snapshot/{snapshotId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:instance/snapshot/get","required":true}],"x-response-identifier":"id"}}},"tags":[{"name":"Compute","x-tag-expanded":false,"description":"Missing description"}]}
